Subject: Clisp can't find libraries like CL-PPCRE
From: "Ken Harris" <[email-masked]>
To: [email-masked]
Date: Sat, 22 Jul 2006 16:45:05 -0700

Package: clisp
Version: 2.38-8

In SBCL, I can say (require :cl-ppcre) and it works.  In CLISP,
however, it says "LOAD: A file with name CL-PPCRE does not exist".

CL-PPCRE's webpage says it works under both SBCL and CLISP.  Nothing I
can find has led me to believe that there's any reason Debian's CLISP
wouldn't work with Debian's CL-PPCRE.

Other Lisp libraries I've tried, like (require :aserve), also work in
SBCL but not CLISP.  (Portable Aserve, upstream, also claims to work
with CLISP.)

Maybe I'm missing something crucial about how to load libraries in
CLISP, but this seems like the common case that one can expect to
work.  I saw nothing in the CLISP or CL-PPCRE docs that look relevant,
either in the upstream docs or the Debian package docs.

Thanks!

- Ken